Page MenuHomePhabricator

Set max width container for banners
Closed, ResolvedPublic2 Estimate Story Points

Description

Set max width container for banners to 893 px.
Run it by fundraising team for sanity check.

How to test with ZeroBanner extension:

  1. Install ZeroBanner extension on local instance.
  2. Add a fake partner config by creating an article within the Zero namespace (I recommend "Zero:000-00"). There should be a default configuration, but here's an example: http://pastebin.com/QaA0TeE2. Note that the "enabled" field must be set to true and there must be a banner message.
  3. Add a request header (I recommend installing a browser extension for modifying headers such as "Modify Headers") with key-value pair "X-CS, <config-name>" (e.g. X-CS, 000-00).
  4. Navigate to local instance of Main Page article.

If this set of steps does not work, feel free to ping me (jhobs) on gchat or IRC.

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterAlpha, Beta: Make banners center-aligned

Event Timeline

KHammerstein raised the priority of this task from to Needs Triage.
KHammerstein updated the task description. (Show Details)
KHammerstein added a subscriber: KHammerstein.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 6 2015, 6:39 PM
kaldari updated the task description. (Show Details)May 6 2015, 6:46 PM
kaldari set Security to None.
jhobs updated the task description. (Show Details)May 6 2015, 7:03 PM

Need to check with Partnership team on whether this has implications for ZeroBanner extension that need to be cleared with mobile partners first.

bmansurov moved this task from To Do to Doing on the Mobile-Web-Sprint-47-Undercover-Brother board.

Change 210616 had a related patch set uploaded (by Bmansurov):
Make banners center-aligned similar to the content

https://gerrit.wikimedia.org/r/210616

@jhobs, thanks for clear instructions. It was easy to set the testing environment up. By the way, do you know who from the Partnership and Fundraising teams I should ping on here?

Unfortunately I do not.

@kaldari, any idea who from Partnership/Fundraising I should ping to get this reviewed?

phuedx added a subscriber: phuedx.May 15 2015, 11:56 AM

@jhobs: As @bmansurov said, thanks for the clear instructions on setting up a test environment.

Change 210616 merged by jenkins-bot:
Alpha, Beta: Make banners center-aligned

https://gerrit.wikimedia.org/r/210616

Can this be closed and signed off?

phuedx added a comment.Jun 1 2015, 9:54 AM

I signed this off at Wikimedia-Hackathon-2015 (!).

phuedx closed this task as Resolved.Jun 1 2015, 9:54 AM